package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouVideoGet;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouVideoRelateCreatives;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

/**
 * @Description: 频库-视频关联创意数查询
 * @Author: jeecg-boot
 * @Date: 2021-01-12
 * @Version: V1.0
 */
public interface IKuaishouVideoRelateCreativesService extends IService<KuaishouVideoRelateCreatives> {

    Result pushVideo(JSONObject data);

    void videoRelateCreatives(Long accountId, JSONArray photoIds, Map<String, KuaiShouVideoGet> statdateMap);

    List<JSONObject> getVideoListByMap(Map<String, Object> requestMap);

    List<KuaishouVideoRelateCreatives> listByParams(Long accountId,Integer matNum);

    List<JSONObject> getVideoZeroListByMap(Map<String, Object> requestMap);

    List<JSONObject> getHistoryTopVideoList(Map<String, Object> requestMap);

    void videoRelateCreatives(Long accountId);
}
